Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images

From: Andreas Politz <[email-masked]>
Date: Thu, 24 Jan 2019 20:41:18 +0100

Eli Zaretskii <[email-masked]> writes:

> Andreas, could you please help me?  I'd like to have a way of
> reproducing the problem with pdf-tools, but without poppler. [...]

I attached an archive containing a dummy epdfinfo script (the part
that's normally a c-program based on poppler) and an Elisp file.  The
last one also contains some instructions.  I hope that works for you.

The epdfinfo programm runs in an asynchronous process.  In the scenario
we are discussing here, the Lisp side actively waits for the created
image via accept-process-output and this probably makes a difference
regarding the re-display behavior.

Both, pdf-tools and doc-view, need a way to be notified when a new
window of a PDF buffer is created, such that a window-specific overlay
can be created.  This allows for different windows to be able to display
different pages of some PDF.  Apparently this should happen *before*
re-display.

Andreas